#### D.4.21.4 primdecSY

Procedure from library `primdec.lib` (see primdec_lib).

Usage:
  primdecSY(I, c); I ideal, c int (optional)

Return:
  a list pr of primary ideals and their associated primes for proper ideal I, otherwise pr[1] is list( ideal(1),ideal(1) )'

         pr[i][1]   the i-th primary component,
         pr[i][2]   the i-th prime component.

Note:
  Algorithm of Shimoyama/Yokoyama.

         if c=0,  the given ordering of the variables is used,
         if c=1,  minAssChar tries to use an optimal ordering (default),
         if c=2,  minAssGTZ is used,
         if c=3,  minAssGTZ and facstd are used.

  For local orderings, the result is considered in the localization of the polynomial ring, not in the power series ring.
  For local and mixed orderings, the decomposition in the corresponding global ring is returned if the string 'global' is specified as third argument

Example:

    LIB "primdec.lib";
    ring  r = 0,(x,y,z),lp;
    poly  p = z2+1;
    poly  q = z3+2;
    ideal i = p*q^2,y-z2;
    list pr = primdecSY(i);
    pr;
    ==> [1]:
    ==>    [1]:
    ==>       _[1]=z2+1
    ==>       _[2]=y-z2
    ==>    [2]:
    ==>       _[1]=z2+1
    ==>       _[2]=y+1
    ==> [2]:
    ==>    [1]:
    ==>       _[1]=z6+4z3+4
    ==>       _[2]=y-z2
    ==>    [2]:
    ==>       _[1]=z3+2
    ==>       _[2]=y-z2

User manual for Singular version 4-0-3, 2016, generated by texi2html.